### Method

# Gimp Config duplicate

since: 2.4

#### Declaration [src]

    gpointer
    gimp_config_duplicate (
      GimpConfig* config
    )

#### Description [src]

Creates a copy of the passed object by copying all object properties. The default implementation of the `GimpConfigInterface` only works for objects that are completely defined by their properties.

Available since: 2.4

#### Return value

Type: `gpointer`

The duplicated `GimpConfig` object.

The returned data is owned by the instance.
The return value can be `NULL`.